| Version: 3.1.5

Classes | Enumerations
toolbar.h File Reference

## Classes
class | wxToolBarToolBase
| A toolbar tool represents one item on the toolbar. More...
class | wxToolBar
| A toolbar is a bar of buttons and/or other controls usually placed below the menu bar in a wxFrame. More...

## Enumerations
enum | wxToolBarToolStyle { wxTOOL_STYLE_BUTTON = 1 , wxTOOL_STYLE_SEPARATOR = 2 , wxTOOL_STYLE_CONTROL }
enum | { wxTB_HORIZONTAL = wxHORIZONTAL , wxTB_TOP = wxTB_HORIZONTAL , wxTB_VERTICAL = wxVERTICAL , wxTB_LEFT = wxTB_VERTICAL , wxTB_FLAT , wxTB_DOCKABLE , wxTB_NOICONS , wxTB_TEXT , wxTB_NODIVIDER , wxTB_NOALIGN , wxTB_HORZ_LAYOUT , wxTB_HORZ_TEXT = wxTB_HORZ_LAYOUT | wxTB_TEXT , wxTB_NO_TOOLTIPS , wxTB_BOTTOM , wxTB_RIGHT , wxTB_DEFAULT_STYLE = wxTB_HORIZONTAL }
| wxToolBar style flags More...

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

wxToolBar style flags

Enumerator
wxTB_HORIZONTAL | lay out the toolbar horizontally
wxTB_TOP |
wxTB_VERTICAL | lay out the toolbar vertically
wxTB_LEFT |
wxTB_FLAT | "flat" buttons (Win32/GTK only)
wxTB_DOCKABLE | dockable toolbar (GTK only)
wxTB_NOICONS | don't show the icons (they're shown by default)
wxTB_TEXT | show the text (not shown by default)
wxTB_NODIVIDER | don't show the divider between toolbar and the window (Win32 only)
wxTB_NOALIGN | no automatic alignment (Win32 only, useless)
wxTB_HORZ_LAYOUT | show the text and the icons alongside, not vertically stacked (Win32/GTK)
wxTB_HORZ_TEXT |
wxTB_NO_TOOLTIPS | don't show the toolbar short help tooltips
wxTB_BOTTOM | lay out toolbar at the bottom of the window
wxTB_RIGHT | lay out toolbar at the right edge of the window
wxTB_DEFAULT_STYLE | flags that are closest to the native look

## ◆ wxToolBarToolStyle

enum wxToolBarToolStyle

Enumerator
wxTOOL_STYLE_BUTTON |
wxTOOL_STYLE_SEPARATOR |
wxTOOL_STYLE_CONTROL |